#include <stdio.h>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <string>
#define MAX 50

using namespace std;

// Protótipo da função
char *string_substring(char str[], int start, int end);

int main(int argc, char **argv)
{
    string linha;

    while (true)
    {
        //fgets(linha, 100000, stdin);
        getline(cin, linha);
        //linha[strlen(linha) - 1] = '\0';

        if (linha == "0")
        {
            break;
        }
        int num = atoi(linha.c_str());
        int bin[MAX];
        int vet_bin[MAX];
        int pal = true;
        int j, tam = 0;
        int aux_num = num;

        while (num > 0)
        {
            bin[tam] = num % 2;
            tam++;
            num = num / 2;
        }
        for (j = tam - 1; j >= 0; j--)
        {
            vet_bin[j] = bin[j];
        }

        for (int x = 0; x < tam; x++)
        {
            if (!vet_bin[x] == vet_bin[(tam - 1) - x])
            {
                pal = false;
                break;
            }
        }
        if (pal)
        {
            cout << "V\n";
        }
        else
        {
            cout << "F\n";
        }
    }
    return 0;
}

//char *string_substring(char str[], int start, int end)
//{
//    int i, j;
//    char *sub;

//   if (start >= end || end > strlen(str))
//    {
//        return NULL;
//    }

//    sub = (char *)malloc(sizeof(char) * (end - start + 1));

//    for (i = start, j = 0; i < end; i++, j++)
//    {
//        sub[j] = str[i];
//    }

//    sub[j] = '\0';

//    return sub;
//}
